package com.goafanti.achievement.bo;

import java.util.List;

/**
 * 批量导入科技成果
 */
public class AchievementImportBo {

	/**
	 * 数据类别
	 */
	private Integer			dataCategory;

	/**
	 * 名称
	 */
	private String			name;

	/**
	 * 关键词
	 */
	private String			keyword;

	/**
	 * 类型
	 */
	private Integer			category;

	/**
	 * 所有人名称
	 */
	private String			ownerName;

	/**
	 * 所有人类型
	 * 
	 */
	private Integer			ownerType;

	/**
	 * 所有人证件号
	 */
	private String			ownerIdNumber;

	/**
	 * 所有人联系电话
	 */
	private String			ownerMobile;

	/**
	 * 所有人电子邮箱
	 */
	private String			ownerEmail;

	/**
	 * 所有人通讯地址
	 */
	private String			ownerPostalAddress;

	/**
	 * 合作方式
	 */
	private Integer			cooperationMode;
	
	/**
	 * 成果简介
	 */
	private String			introduction;

	private List<String>	keywords;

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public Integer getDataCategory() {
		return dataCategory;
	}

	public void setDataCategory(Integer dataCategory) {
		this.dataCategory = dataCategory;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}

	public Integer getCategory() {
		return category;
	}

	public void setCategory(Integer category) {
		this.category = category;
	}

	public String getOwnerName() {
		return ownerName;
	}

	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}

	public Integer getOwnerType() {
		return ownerType;
	}

	public void setOwnerType(Integer ownerType) {
		this.ownerType = ownerType;
	}

	public String getOwnerIdNumber() {
		return ownerIdNumber;
	}

	public void setOwnerIdNumber(String ownerIdNumber) {
		this.ownerIdNumber = ownerIdNumber;
	}

	public String getOwnerMobile() {
		return ownerMobile;
	}

	public void setOwnerMobile(String ownerMobile) {
		this.ownerMobile = ownerMobile;
	}

	public String getOwnerEmail() {
		return ownerEmail;
	}

	public void setOwnerEmail(String ownerEmail) {
		this.ownerEmail = ownerEmail;
	}

	public String getOwnerPostalAddress() {
		return ownerPostalAddress;
	}

	public void setOwnerPostalAddress(String ownerPostalAddress) {
		this.ownerPostalAddress = ownerPostalAddress;
	}

	public Integer getCooperationMode() {
		return cooperationMode;
	}

	public void setCooperationMode(Integer cooperationMode) {
		this.cooperationMode = cooperationMode;
	}

	public List<String> getKeywords() {
		return keywords;
	}

	public void setKeywords(List<String> keywords) {
		this.keywords = keywords;
	}

}
